import { v4 as uuidv4 } from "uuid";
import { InternalNodeType } from "../constants/InternalNodeType";

export class InternalNode {
  id: string;
  type: InternalNodeType;

  constructor(type: InternalNodeType) {
    this.id = uuidv4();
    this.type = type;
  }
}
